PKG-REGISTER(8)

NAME
pkg register - registers a package into the local package database

SYNOPSIS
pkg register [-ld] -f <plist-file> -m <metadatadir> -i <input-path>

DESCRIPTION
pkg register is used for registering a package into the local package database.

OPTIONS
The following options are supported by pkg register:

-l  Tells pkg register to treat the package to be registered as a legacy one (old style package)

-d  Mark the package for registering as orphan. Will be automatically removed if no other packages depend on it. For more information please refer to pkg-autoremove(8)

-f <plist-file>
    Specifies the packing list file

-m <metadatadir>
    Specifies the meta data directory to use when registering the package

-i <input-path>
    Specifies the package input path.

    < To be completed >

ENVIRONMENT
The following environment variables affect the execution of pkg register. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)